Bug 212581 - SATA module initialization fails and slows down boot
SATA module initialization fails and slows down boot
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-27 12:05 EDT by Dmitriy Kropivnitskiy
Modified: 2007-12-30 22:37 EST (History)
8 users (show)

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-30 22:36:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -v for the dell 400sc (5.87 KB, text/plain)
2006-11-04 16:12 EST, Steve Bergman
no flags Details
lspci -v output for the HP xw4100 (4.26 KB, text/plain)
2006-11-06 10:38 EST, Dmitriy Kropivnitskiy
no flags Details
patch for libata initialization failure (1.47 KB, patch)
2006-11-08 13:40 EST, Curtis George
no flags Details | Diff

  None (edit)
Description Dmitriy Kropivnitskiy 2006-10-27 12:05:11 EDT
Description of problem:
When FC6 starts to boot (during the kernel load, before the graphical boot kicks
in. I think it happens when initrd is loading ata modules) the system stops
booting for a minute or so then gives out the following set of messages
ata1: port is slow to respond, please be patient
ata1: port failed to respond (30 secs)
ata1: SRST failed (status 0xFF)
ata1: SRST failed (err_mask=0x100)
ata1: softreset failed, retrying in 5 secs
ata1: SRST failed (status 0xFF)
ata1: SRST failed (err_mask=0x100)
ata1: softreset failed, retrying in 5 secs
ata1: SRST failed (status 0xFF)
ata1: SRST failed (err_mask=0x100)
ata1: reset failed, giving up
Then it waits another minute and gives the same set of messages with ata2.
Then the system proceeds to boot as usual, but the resulting delay is
significant (around 3 minutes total). The system is HP xw4100 workstation with
an extra IDE hard drive installed (so I have hda and hdb). The SATA interface is
disabled. Here is lspci output:
00:00.0 Host bridge: Intel Corporation 82875P/E7210 Memory Controller Hub (rev 02)
00:01.0 PCI bridge: Intel Corporation 82875P Processor to AGP Controller (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI
Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI
Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI
Controller #3 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB2 EHCI
Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev c2)
00:1f.0 ISA bridge: Intel Corporation 82801EB/ER (ICH5/ICH5R) LPC Interface
Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801EB/ER (ICH5/ICH5R) IDE Controller
(rev 02)
00:1f.2 IDE interface: Intel Corporation 82801EB (ICH5) SATA Controller (rev 02)
00:1f.5 Multimedia audio controller: Intel Corporation 82801EB/ER (ICH5/ICH5R)
AC'97 Audio Controller (rev 02)
01:00.0 VGA compatible controller: nVidia Corporation NV17GL [Quadro4 200/400
NVS] (rev a3)
05:02.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5782 Gigabit
Ethernet (rev 03)

Version-Release number of selected component (if applicable):
kernel-2.6.18-1.2798.fc6

How reproducible:
Just boot FC6 on a system like this one.
Comment 1 Dmitriy Kropivnitskiy 2006-10-27 12:31:06 EDT
Seems like this is really a hardware bug. Once I fully enabled SATA it started
working fine. I guess the system doesn't properly disable the SATA.
Comment 2 Richard Körber 2006-10-28 05:11:40 EDT
I can confirm this bug on a Dell Dimension 4600. It also occured while the FC6
install DVD was loading the "ata_piix" driver. FC5 was working fine.

The SATA controller is turned on on that machine (actually I couldn't even turn
it off in the BIOS). There are no SATA drives, so the BIOS reports each SATA
channel as "Off". When I switch them to "Auto" (the only option left), the BIOS
complains during POST that there are no SATA drives, and refuses to boot the
machine.

I currently cannot do anything but wait another 90-ish seconds for Linux to
boot, which is quite annoying on a desktop machine. Please fix this bug! :)
Comment 3 Dmitriy Kropivnitskiy 2006-10-30 10:16:55 EST
While this is being sorted out, I can recommend a temporary fix, that seems to
work for me. 

Edit /etc/modprobe.conf. Remove or comment out the line that says 
alias scsi_hostadapter ata_piix

Run following commands
cd /boot
cp initrd-2.6.18-1.2798.fc6.img initrd-2.6.18-1.2798.fc6.img.orig
mkinitrd /boot/initrd-2.6.18-1.2798.fc6.img 2.6.18-1.2798.fc6

Reboot.
Comment 4 Steve Bergman 2006-11-04 16:09:48 EST
I have the same issue on a Dell Poweredge 400sc.  Same messages on ata1 and ata2.

The machine has 2 build in ide pata channels, plus 2 sata channels, plus an add
on pci ide card with 2 pata channels.

onboard ide 0 -> Hard drive
onboard ide 1 -> CDROM
PCI ide 0 -> Hard drive
PCI ide 1 -> Unused
Sata channel 0 -> Unused
Sata channel 1 -> Unused



Comment 5 Steve Bergman 2006-11-04 16:12:25 EST
Created attachment 140367 [details]
lspci -v for the dell 400sc

BTW, the add on card is a raid controller, but jumpered to act like a regular
ide controller.
Comment 6 Dmitriy Kropivnitskiy 2006-11-06 10:38:50 EST
Created attachment 140483 [details]
lspci -v output for the HP xw4100
Comment 7 Curtis George 2006-11-08 13:40:42 EST
Created attachment 140687 [details]
patch for libata initialization failure

I have the same issue on my Dell PowerEdge SC1420.  I did a little searching
and found a proposed patch for the solution.  I rebuilt the kernel from source
with this patch applied and I no longer have the issues.
Comment 8 Jeroen Janssen 2006-11-16 15:48:28 EST
I can confirm this bug on a Dell GX270.
Comment 9 Will Woods 2007-01-12 13:50:57 EST
This problem is fixed in kernel-2.6.19-1.2895.fc6 for my Dell with an ICH7 SATA
controller. Can you enable the updates-testing repo and try that kernel?

(yum --enablerepo=updates-testing update kernel should do it)
Comment 10 Richard Körber 2007-01-19 02:00:11 EST
I can confirm that kernel-2.6.19-1.2895.fc6 fixed that bug for me. Thanks!
Comment 11 Jon Stanley 2007-12-30 22:36:37 EST
Closing per comment #9 and #10.  If you feel that this is incorrect, please
retest with a current version of Fedora (Fedora 8 at present), as Fedora Core 6
is no longer supported, and either re-open this bug or file a new one against
the new release.

Note You need to log in before you can comment on or make changes to this bug.